Bug 443151 - should use xrandr not xinerama for multi head setups
should use xrandr not xinerama for multi head setups
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 16:32 EDT by Rik van Riel
Modified: 2009-01-09 02:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:46:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
you can see the screen corruption on the right (primary) monitor (1.02 MB, image/png)
2008-04-18 16:32 EDT, Rik van Riel
no flags Details

  None (edit)
Description Rik van Riel 2008-04-18 16:32:55 EDT
Description of problem:

I am using a Xinerama setup on my 05:0d.0 VGA compatible controller: ATI
Technologies Inc RV280 [Radeon 9200 PRO] (rev 01) video card, with the latest
xorg-x11-drv-ati.

Everything renders fine, but when I move the mouse pointer to the secondary
monitor, some video memory of data that is rendered to the primary monitor gets
corrupted.  The mouse pointer on the secondary monitor also not rendered
properly, but is a big fuzzy square.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.8.0-1.fc8

I have upgraded to the latest source bits from the xf86-video-ati git tree and
am still seeing the same issues.

Steps to Reproduce:
1. run in two monitor setup (either in xinerama mode or zaphod mode)
2. move mouse pointer to second monitor
3. profit^Wscreen corruption
Comment 1 Rik van Riel 2008-04-18 16:32:55 EDT
Created attachment 302937 [details]
you can see the screen corruption on the right (primary) monitor
Comment 2 Matěj Cepl 2008-04-19 04:11:05 EDT
Rik, can we get /etc/X11/xorg.conf and /var/log/Xorg.*.log, please?
Comment 3 Rik van Riel 2008-04-19 10:50:08 EDT
The corruption only happened with Xinerama and Zaphod mode.

Using xrandr to do multihead, the video memory corruption disappears.

Now we just need to teach system-config-display to set up xrandr multihead :)
Comment 4 Rik van Riel 2008-04-19 12:51:44 EDT
The preferred way to do multi monitor setups is now xrandr, not xinerama.

Maybe system-config-display should set up xrandr in xorg.conf now?
Comment 5 Bug Zapper 2008-11-26 05:31:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 02:46:46 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.